Subject: pull-request: can-next 2013-08-21

From: Marc Kleine-Budde <[email-masked]>
Date: Wed, 21 Aug 2013 09:42:55 +0200

Hello David,

this pull-request for net-next consists of a series by Alexander
Shiyan, he cleans up the mcp251x driver. As the first patch touches
arch/arm/mach-pxa, it's acked by Haojian Zhuang.

regards,
Marc

---

The following changes since commit 954c396756e3d31985f7bc6a414a988a4736a7d0:

  net/phy: micrel: Add OF configuration support for ksz9021 (2013-08-21 00:03:38 -0700)

are available in the git repository at:

  git://gitorious.org/linux-can/linux-can-next.git for-davem

for you to fetch changes up to b1ef05a5a20afe50d4188a5b59579bd140758cf0:

  can: mcp251x: Allow tuning SPI mode and limit maximal SPI speed (2013-08-21 09:28:29 +0200)

----------------------------------------------------------------
Alexander Shiyan (3):
      can: mcp251x: Replace power callbacks with regulator API
      can: mcp251x: Eliminate irq_flags from driver platform_data
      can: mcp251x: Allow tuning SPI mode and limit maximal SPI speed

 arch/arm/mach-pxa/icontrol.c         |  3 --
 arch/arm/mach-pxa/zeus.c             | 46 +++++++++--------
 drivers/net/can/mcp251x.c            | 98 ++++++++++++++++++------------------
 include/linux/can/platform/mcp251x.h | 15 +-----
 4 files changed, 75 insertions(+), 87 deletions(-)

-- 
Pengutronix e.K.                  | Marc Kleine-Budde           |
Industrial Linux Solutions        | Phone: +49-231-2826-924     |
Vertretung West/Dortmund          | Fax:   +49-5121-206917-5555 |
Amtsgericht Hildesheim, HRA 2686  | http://www.pengutronix.de   |